base_url = "https://staticadventures.netlib.re"
theme = "water"
compile_sass = true
highlight_code = false
build_search_index = false
generate_feed = true
default_language = "en"

taxonomies = [
    { name = "skills", feed = true }
]

[extra]
title = "staticadventures"
header = "_common/header.md"
menu = "_common/menu.md"
stylesheets = [ "style.css", "custom.css" ]
home_section = "blog"
home_fullarticles = false
home_title = false

[extra.forge]
source = "https://tildegit.org/southerntofu/staticadventures/raw/branch/master/"
browse = "https://tildegit.org/southerntofu/staticadventures/src/branch/master/"
home = "https://tildegit.org/"
name = "tildegit"


[languages.fr]
generate_feed = true # there will be a feed for French content
build_search_index = true
taxonomies = [
    { name = "skills", feed = true }
]



[languages.en]
generate_feed = true
build_search_index = true
taxonomies = [
    { name = "skills", feed = true }
]

# TODO: zola theme translations support?
[extra.translations.fr]
source = "Source de cette page"
readmore = "Lire la suite"
previousPage = "Page précédente"
nextPage = "Page suivante"
dateFormat = "%d/%m/%Y"
nothing_yet = "Il n'y a pas encore d'article dans cette section."
skills = "Cet article présume que tu connais : "
[extra.translations.en]
source = "Source for this page"
readmore = "Read more"
previousPage = "Previous page"
nextPage = "Next page"
dateFormat = "%m/%d/%Y"
nothing_yet = "There is no article in this section yet."
skills = "This article assumes you know of: "


